intellij installation fails on fedora 3

i'm trying to install the latest version of idea on fc3 with java 5. java works fine. when i run the installer, it gives me this.

(DebugHelper.java:29) at java.awt.Component.(Component.java:506) at com.zerog.ia.installer.Main.d(DashoA8113) at com.zerog.ia.installer.Main.a(DashoA8113) at com.zerog.ia.installer.Main.main(DashoA8113) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:324) at com.zerog.lax.LAX.launch(DashoA8113) at com.zerog.lax.LAX.main(DashoA8113) GUI- ]]>

i've tried running it as root and giving it all the permissions it needs. what's wrong?

6 comments

It could be that you just have a bad download. The installer that you are running also has its own JVM and unpacks it to the tmp directory. So it does not matter witch version of Java you have installed.

0

Also make sure you have enough disk space.

BTW, that was supposed to be "which" not "witch" in the previous post.

0

i have enough disk space. i just installed fedora. and it can't be a bad download because i used it on yoper with kde and it worked perfect.

0

I have IDEA running on fedora core 3 without issue, so I don't think it is a fedora problem. I can also install it using root or a regular user account. Sorry, but I don't think I have an answer for this one. Maybe someone else in this forum could help out.

0

Please see here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=130239 .

You have to download and install xorg-x11-deprecated-libs package:
http://rpmfind.net/linux/rpm2html/search.php?query=xorg-x11-deprecated-libs&submit=Search+...

Serge Baranov
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"


tarun wrote:

i'm trying to install the latest version of idea on fc3 with java 5. java works fine. when i run the installer, it gives me this.

Preparing to install... > tail: `-1' option is obsolete; use `-n 1' > Try `tail --help' for more information. > /idea-4.5.3.bin: line 330: [: `)' expected, found -z > WARNING! The amount of /tmp disk space required and/or available > could not be determined. The installation will be attempted anyway. > Extracting the JRE from the installer archive... > Unpacking the JRE... > Extracting the installation resources from the installer archive... > Configuring the installer for this system's environment... > > Launching installer... > > Invocation of this Java Application has caused an InvocationTargetException. This application will now exit. (LAX) > > Stack Trace: > java.lang.UnsatisfiedLinkError: /tmp/install.dir.5260/Linux/resource/jre/lib/i386/libawt.so: libXp.so.6: cannot open shared object file: No such file or directory > at java.lang.ClassLoader$NativeLibrary.load(Native Method) > at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1560) > at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1477) > at java.lang.Runtime.loadLibrary0(Runtime.java:788) > at java.lang.System.loadLibrary(System.java:834) > at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50) > at java.security.AccessController.doPrivileged(Native Method) > at sun.awt.NativeLibLoader.loadLibraries(NativeLibLoader.java:38) > at sun.awt.DebugHelper.(DebugHelper.java:29) > at java.awt.Component.(Component.java:506) > at com.zerog.ia.installer.Main.d(DashoA8113) > at com.zerog.ia.installer.Main.a(DashoA8113) > at com.zerog.ia.installer.Main.main(DashoA8113) > at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) > at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) > at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) > at java.lang.reflect.Method.invoke(Method.java:324) > at com.zerog.lax.LAX.launch(DashoA8113) > at com.zerog.lax.LAX.main(DashoA8113) > GUI- > > ]]>

i've tried running it as root and giving it all the permissions it needs. what's wrong?

0

Michael Garza wrote:

I have IDEA running on fedora core 3 without issue, so I don't think
it is a fedora problem. I can also install it using root or a


Working fine on my FC3 machine, installed using the RPMS I've rolled
into a yum-repository, works well for me.

0

Please sign in to leave a comment.